E-MailRelay

Functions | Variables
G::CodePage Namespace Reference

Windows codepage conversion functions. More...

## Functions
std::string | fromCodePage850 (std::string_view s)
| Converts from codepage 850 to UTF-8. More...
std::string | toCodePage850 (std::string_view s)
| Converts from UTF-8 to codepage 850. More...
std::string | fromCodePage1252 (std::string_view s)
| Converts from codepage 1252 to UTF-8. More...
std::string | toCodePage1252 (std::string_view s)
| Converts from UTF-8 to codepage 1252. More...
std::string | toCodePageOem (std::string_view)
| Converts from UTF-8 to the active OEM codepage (see GetOEMCP(), 850 on unix). More...
std::string | fromCodePageOem (std::string_view)
| Converts from the active OEM codepage (see GetOEMCP(), 850 on unix) to UTF-8. More...
std::string | toCodePageAnsi (std::string_view)
| Converts from UTF-8 to the active "ansi" codepage (see GetACP(), 1252 on unix). More...
std::string | fromCodePageAnsi (std::string_view)
| Converts from the active OEM codepage (see GetACP(), 1252 on unix) to UTF-8. More...

## Variables
constexpr char | oem_error = '\xDB'
constexpr char | ansi_error = '\xBF'

## Detailed Description

Windows codepage conversion functions.

## Function Documentation

## ◆ fromCodePage1252()

std::string G::CodePage::fromCodePage1252 | ( | std::string_view | s | ) |

Converts from codepage 1252 to UTF-8.

Definition at line 191 of file gcodepage.cpp.

## ◆ fromCodePage850()

std::string G::CodePage::fromCodePage850 | ( | std::string_view | s | ) |

Converts from codepage 850 to UTF-8.

Definition at line 179 of file gcodepage.cpp.

## ◆ fromCodePageAnsi()

std::string G::CodePage::fromCodePageAnsi | ( | std::string_view | s | ) |

Converts from the active OEM codepage (see GetACP(), 1252 on unix) to UTF-8.

Definition at line 257 of file gcodepage.cpp.

## ◆ fromCodePageOem()

std::string G::CodePage::fromCodePageOem | ( | std::string_view | s | ) |

Converts from the active OEM codepage (see GetOEMCP(), 850 on unix) to UTF-8.

Definition at line 246 of file gcodepage.cpp.

## ◆ toCodePage1252()

std::string G::CodePage::toCodePage1252 | ( | std::string_view | s | ) |

Converts from UTF-8 to codepage 1252.

Definition at line 197 of file gcodepage.cpp.

## ◆ toCodePage850()

std::string G::CodePage::toCodePage850 | ( | std::string_view | s | ) |

Converts from UTF-8 to codepage 850.

Definition at line 185 of file gcodepage.cpp.

## ◆ toCodePageAnsi()

std::string G::CodePage::toCodePageAnsi | ( | std::string_view | s | ) |

Converts from UTF-8 to the active "ansi" codepage (see GetACP(), 1252 on unix).

Definition at line 214 of file gcodepage.cpp.

## ◆ toCodePageOem()

std::string G::CodePage::toCodePageOem | ( | std::string_view | s | ) |

Converts from UTF-8 to the active OEM codepage (see GetOEMCP(), 850 on unix).

Definition at line 203 of file gcodepage.cpp.

## Variable Documentation

## ◆ ansi_error

constexpr char G::CodePage::ansi_error = '\xBF'
| constexpr

Definition at line 60 of file gcodepage.h.

## ◆ oem_error

constexpr char G::CodePage::oem_error = '\xDB'
| constexpr

Definition at line 59 of file gcodepage.h.